DocumentsUpdate issued invoice

Update issued invoice

curl -X POST "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v1/documents/issued-invoice-update" \
  -H "Content-Type: application/json" \
  -H "api_key: YOUR_API_KEY" \
  -d '{
  "data": {
    "documentId": "example_string",
    "organizationId": "example_string",
    "issueDate": "2024-12-25T10:00:00Z",
    "dueDate": "2024-12-25T10:00:00Z",
    "deliveryDate": "2024-12-25T10:00:00Z",
    "number": "example_string",
    "originalNumber": "example_string",
    "telephoneNumber": "+1-555-0123",
    "email": "user@example.com",
    "website": "example_string",
    "reverseCharge": true,
    "accountingSettings": {
      "numericCodeId": "example_string",
      "expenditureCenterId": "example_string",
      "accountingItemId": "example_string",
      "projectId": "example_string",
      "activityId": "example_string",
      "approvalProcessId": "example_string",
      "orderId": "example_string",
      "classificationVatId": "example_string",
      "classificationKvVatId": "example_string"
    },
    "items": [
      {
        "name": "John Doe",
        "unitPriceWithoutVat": 29.99,
        "vatRate": 3.14,
        "quantity": 3.14,
        "unit": "example_string",
        "note": "example_string",
        "debitAccountingAccountId": "example_string",
        "skuCode": "example_string",
        "ossServiceType": "BA",
        "discount": {
          "discountPercent": 10
        },
        "itemType": "advance_payment",
        "isTaxExempt": true,
        "isReverseCharge": true
      }
    ],
    "customer": {
      "ico": "example_string",
      "icDph": "example_string",
      "name": "John Doe",
      "dic": "example_string",
      "vatPayer": true,
      "streetName": "John Doe",
      "propertyRegistrationNumber": "example_string",
      "postalCode": "example_string",
      "buildingNumber": "example_string",
      "municipality": "example_string",
      "country": "USA",
      "nonCorporateEntity": true,
      "registerNumberText": "example_string",
      "contactEmail": "user@example.com",
      "vatRegistrationType": "§4",
      "countryCode": "sk",
      "deliveryAddress": {
        "name": "Einsteinova",
        "phoneNumber": 905369874,
        "address": "Einsteinova 30",
        "postalCode": 85101,
        "municipality": "Bratislava - mestská časť Petržalka",
        "countryCode": "sk"
      }
    },
    "paymentInfo": {
      "iban": "example_string",
      "variableSymbol": "example_string"
    },
    "note": "example_string",
    "noteAboveItems": "example_string",
    "language": "english",
    "currency": "USD",
    "paid": true,
    "ossSettings": {
      "countryCode": "de",
      "ossEvidentaryResource": "A",
      "ossServiceType": "BA"
    },
    "paymentType": "cash",
    "discount": {
      "discountPercent": 10
    },
    "internalNote": "example_string",
    "servesAsDeliveryNote": true
  }
}'
{
  "data": {
    "document": "example_string"
  },
  "success": true,
  "message": "example_string",
  "code": "APP_UNAUTHENTICATED"
}
POST
/v1/documents/issued-invoice-update
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: api_key)
api_keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
api_keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
dataobject

Responses

dataobject
successboolean
messagestring

optional message to help user understand error code

codestring
Allowed values:APP_UNAUTHENTICATEDAPP_INCORRECT_INPUT_DATASAVE_DATA_ERROR_CODE